> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get column drift trend



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /model-monitor/v2/api/model/{model_id}/{column_id}/drift-trend
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /model-monitor/v2/api/model/{model_id}/{column_id}/drift-trend:
    summary: >
      Returns drift trend for the model's column. The endpoint is behind the old
      backend's auth mechanism.
    parameters:
      - in: path
        name: model_id
        schema:
          type: string
        required: true
        description: Identifier for the model for the trends
      - in: path
        name: column_id
        schema:
          type: string
        required: true
        description: Identifier for the column.
      - in: query
        name: startDate
        schema:
          type: number
        required: true
        description: Start time for the data used for the query.
      - in: query
        name: endDate
        schema:
          type: number
        required: true
        description: End time for the data used for the query.
      - in: query
        name: algorithm
        schema:
          type: string
        required: true
        description: Algorithm function used for the check query
    get:
      tags:
        - Model Monitoring drift and quality
      operationId: getModelColumnDriftTrend
      responses:
        '200':
          description: The drift trend fetch query was done successfully.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: array
                  items:
                    type: number
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '500':
          description: Internal server error, check server logs.
      security:
        - dmm-plier_DominoApiKeyAuth: []
        - dmm-plier_DmmApiKeyAuth: []
        - dmm-plier_cookieAuth: []
        - dmm-plier_BearerAuth: []
components:
  securitySchemes:
    dmm-plier_DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    dmm-plier_DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    dmm-plier_cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION
    dmm-plier_BearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Get model quality trend](/6.3/api-reference/model-monitoring-drift-and-quality/get-model-monitorv2apimodel-model-quality-trend.md)
- [Drift detection for monitored models](/6.3/platform-capabilities/features/monitoring/4-set-up-model-monitor/4-set-up-drift-detection-mm.md)
- [Analyze drift](/6.3/api-reference/model-monitoring-drift-and-quality/post-model-monitorv2apimodel-analyse-drift.md)
- [Analyze data drift](/6.3/platform-capabilities/features/monitoring/5-use-monitoring/3-analyze-data-drift.md)
